Bug 126447 - mkfontdir can't handle "compress"ed font files
mkfontdir can't handle "compress"ed font files
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-06-21 15:17 EDT by Peter Fales
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-06 22:04:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Fales 2004-06-21 15:17:43 EDT
Description of problem:

We have an X11 font directory where the .pcf files are compressed
using "compress" (with a .Z extension).   In RedHat 9, the mkfontdir
program is able to handle this, but the Fedora 2 version is not.  I'm
pretty sure the problem is in mkfontdir (rather than some other system
configuration problem) because it works if I copy the mkfontdir binary
over from a RedHat 9 system.

Version-Release number of selected component (if applicable):

How reproducible: Easy

Steps to Reproduce:
1.  Make a temp dir and cd to it:
        mkdir /tmp/t1
        cd /tmp/t1
2. Populate with a compressed file
        cp /usr/X11R6/lib/X11/fonts/75dpi/timR24.pcf.gz .
        gunzip timR24.pcf
        compress timR24.pcf
3. Run mkfontdir
Actual results:

File begins with "0" (no font files found)

Expected results:

File should look like:

timR24.pcf.Z adobe-times-medium-r-normal--24-240-75-75-p-124-iso10646-1

Additional info:

Must have the "ncompress" rpm installed.
Comment 1 Mike A. Harris 2004-06-23 08:49:53 EDT
X.Org X11R6.7.0 has removed the UNIX compress source code from the
X11 distribution due to licensing conflicts which were discovered
after a license audit.

As such, X.Org X11 no longer contains support for decompressing UNIX
'compress' compressed fonts.  The recommended workaround is to
decompress all fonts using gunzip (which can decompress UNIX
compress archives), and to recompress them with gzip -9.

Comment 2 Mike A. Harris 2004-07-06 22:04:20 EDT
I've double-confirmed this with a few other developers.  As mentioned
above, there are potential legal issues with "compress" which were
discovered during the X development cycle.  The code was removed,
and all support for .Z fonts was removed from libXfont.

I've confirmed that upstream currently has no plans on adding back
.Z compressed font support, so fonts compressed in this manner will
not be supported under current or future Red Hat X releases.

As mentioned above however, you can decompress .Z compressed font
files using uncompress, ncompress, or gunzip, and recompress them
with "gzip -9".  gzipped fonts will continue to be supported by
the X server, and also save disk space.

Closing as "WONTFIX"

Note You need to log in before you can comment on or make changes to this bug.